  export default {
    name: 'SwipeDelList',
    props: {
      tag: {
        type: String,
        default: 'div',
      },
    },
    computed: {
      gutter() {
        let parent = this.$parent;
        while (parent && parent.$options.componentName !== 'SwipeDelList') {
          parent = parent.$parent;
        }
        return parent ? parent.gutter : 0;
      },
    },
    render(h) {
      const classList = [];
      const style = {
        overflow: 'hidden',
      };

      return h(this.tag, {
        class: ['swipe-del-list', classList],
        style,
      }, this.$slots.default);
    },
  };

